Document templates & integrations

View Org Document Template

View Org Document Template. Requires company-wide document management and applicable subject access.

POSThttps://api.toku.com/hris/view-org-document-template

Not available to API keys yet. It will need documents:write.

curl --request POST \
  --url 'https://api.toku.com/hris/view-org-document-template' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "templateId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "versionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "pdfUrl": "string",
  "expiresAt": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

templateIdstring<uuid>required
versionIdstring<uuid>

Response

200Successful response
pdfUrlstring<uri>required
expiresAtstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits